#ifndef _GraphViewCheckBox_h__
#define _GraphViewCheckBox_h__

#include "ConfigCheckBox.h"
#include "TChannel.h"

class GraphViewCheckBox : public ConfigCheckBox {
    Q_OBJECT

  public:
    GraphViewCheckBox(const QString &channelId);

  private slots:

    void onChange(bool checked);

  private:
    const QString channelId;
};

#endif
